#!/bin/sh
#Convert L1C Products to L2A using L2A_Process
INPUTDIR=$1	#Top directory with a L1C Subirectory
JOBS=${2:-1}
if [ "$#" -le 1 ]; then
	echo "Usage " $0 " <Directory with a L1C Subirectory> [jobs]" 
	exit
fi

cd $INPUTDIR/L1C

if [ ! -d ../L2A ]; then
	mkdir ../L2A
fi

cd $INPUTDIR/L2A
ls ../L1C/*.zip  | parallel --jobs $JOBS L1CToL2A.sh 



